Skip to content
GET /unified/accounting/reports

Query Parameters

Refer Specifying query parameters in Truto APIs

contactobject
2 supported2 notes
QuickBooks
supported

The contact to filter the report by. Supported in aged_payable_detail (vendor only), aged_payable_summary, aged_receivable_detail (customer only), aged_receivable_summary (customer only), balance_sheet, cash_flow, customer_balance (customer only), customer_balance_detail (customer only), customer_income, general_ledger, general_ledger_fr, profit_and_loss, profit_and_loss_detail, sales_by_class (customer only), sales_by_customer (customer only), sales_by_department (customer only), sales_by_product (customer only), transaction_list, transaction_list_by_vendor (vendor only), transaction_list_by_customer (customer only), vendor_balance (vendor only), vendor_balance_detail (vendor only), vendor_expense

Xero
supported

The contact to filter the report by. This field is required for aged_payable_by_contact and aged_receivable_by_contact.

idstring

The unique identifier for the contact

typestring

The type of the contact

Possible values:
customervendor
end_datestring · date

The end date of the report

1 supported2 notes
QuickBooks
supported

It should be given along with start_date. This field can be used in all reports except customer_balance and customer_balance_detail

start_datestring · date

The start date of the report

1 supported2 notes
QuickBooks
supported

It should be given along with end_date. This field can be used in all reports except customer_balance and customer_balance_detail

report_namestring

The type of the report

Possible values:
account_list_detailaged_payable_by_contactaged_payable_detailaged_payable_summaryaged_receivable_by_contactaged_receivable_detailaged_receivable_summarybalance_sheetbank_summarybudget_summarycash_flowcustomer_balance+ 25 more
2 supported2 required
QuickBooks
required
profit_and_lossprofit_and_loss_detailaccount_list_detailaged_payable_detailaged_payable_summaryaged_receivable_detailaged_receivable_summarybalance_sheetcash_flowcustomer_balancecustomer_balance_detailcustomer_income+ 20 more
Xero
required
aged_payable_by_contactaged_receivable_by_contactbalance_sheetbank_summarybudget_summaryexecutive_summaryprofit_and_losstrial_balance
tracking_categoryobject[]

The Tracking Category to filter the report. This can be fetched from the Unified Tracking Categories Resource. This is supported in the following report -- profit_and_loss (max 2 can be specified along with Tracking Category)

1 supported
Xero
supported
idstring

Unique identifier for the Tracking Category.

tracking_category_optionobject[]

The Tracking Category Options to filter the report. This can be fetched from the Unified Tracking Categories Resource. This is supported in the following reports -- balance_sheet (max 2 can be specified) and profit_and_loss (max 2 can be specified along with Tracking Category)

1 supported
Xero
supported
idstring

Unique identifier for the Tracking Category Option.

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Reports

idstring
required·

The unique identifier for report

2 supported
QuickBooks
supported
Xero
supported
companystring

The company the report belongs to

References: CompanyInfo → id
created_atstring · date-time

This represents the date when the report was created

1 supported
Xero
supported
currencystring

The currency of the report

1 supported
QuickBooks
supported
end_datestring · date-time

The end date of the report

1 supported
QuickBooks
supported
namestring

The name of the report

2 supported
QuickBooks
supported
Xero
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

report_dataobject

The data of the report

2 supported
QuickBooks
supported
Xero
supported
2 properties
columnsstring[]

The columns of the report

rowsobject[]

The rows of the report

2 properties
dataany[]

The data of the row. The data is in the same order as the columns.

rowsobject[]

The sub-rows of the row. They have the same schema as the parent row.

start_datestring · date-time

The start date of the report

1 supported
QuickBooks
supported
curl -X GET 'https://api.truto.one/unified/accounting/reports?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/accounting/reports?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/reports"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'accounting',
  'reports',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "accounting",
        "reports",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())